summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ilmich <ardutu@gmail.com>2022-09-24 03:42:07 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-09-25 13:59:45 +0700
commitf5ca80380b55d7d85ef96842340b30c280184635 (patch)
tree527a6cec85096b68e1178052d8eb8f585b1047ac
parent7554998944d0f169e5355dd5b132736b84fd2ae9 (diff)
downloadslackbuilds-f5ca80380b55d7d85ef96842340b30c280184635.tar.gz
slackbuilds-f5ca80380b55d7d85ef96842340b30c280184635.tar.xz
libraries/cereal: Added (header-only C++11 serialization library)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/cereal/README6
-rw-r--r--libraries/cereal/cereal.SlackBuild110
-rw-r--r--libraries/cereal/cereal.info10
-rw-r--r--libraries/cereal/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/cereal/README b/libraries/cereal/README
new file mode 100644
index 0000000000..ccdb80b28c
--- /dev/null
+++ b/libraries/cereal/README
@@ -0,0 +1,6 @@
+cereal is a header-only C++11 serialization library.
+cereal takes arbitrary data types and reversibly turns them into
+different representations, such as compact binary encodings, XML,
+or JSON.
+
+cereal was designed to be fast, light-weight, and easy to extend.
diff --git a/libraries/cereal/cereal.SlackBuild b/libraries/cereal/cereal.SlackBuild
new file mode 100644
index 0000000000..6cf56bf543
--- /dev/null
+++ b/libraries/cereal/cereal.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for cereal
+
+# Copyright 2022 ilmich < ardutu at gmail dot com >
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cereal
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Your application will probably need different cmake flags; these are only
+# examples. You might use 'ccmake' to see the available flags...
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSKIP_PORTABILITY_TEST=ON \
+ -DTHREAD_SAFE=ON \
+ -DWITH_WERROR=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/cereal/cereal.info b/libraries/cereal/cereal.info
new file mode 100644
index 0000000000..f20146ad8b
--- /dev/null
+++ b/libraries/cereal/cereal.info
@@ -0,0 +1,10 @@
+PRGNAM="cereal"
+VERSION="1.3.2"
+HOMEPAGE="https://uscilab.github.io/cereal/"
+DOWNLOAD="https://github.com/USCiLab/cereal/archive/v1.3.2/cereal-1.3.2.tar.gz"
+MD5SUM="ab6070fadc7c50072ef4153fb1c46a87"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="ilmich"
+EMAIL="ardutu@gmail.com"
diff --git a/libraries/cereal/slack-desc b/libraries/cereal/slack-desc
new file mode 100644
index 0000000000..38eec57a93
--- /dev/null
+++ b/libraries/cereal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cereal: cereal (header-only C++11 serialization library)
+cereal:
+cereal: cereal takes arbitrary data types and reversibly turns them into
+cereal: different representations, such as compact binary encodings, XML,
+cereal: or JSON. cereal was designed to be fast, light-weight, and easy
+cereal: to extend - it has no external dependencies and can be easily
+cereal: bundled with other code or used standalone.
+cereal:
+cereal:
+cereal:
+cereal: